// -*- coding: utf-8  -*-
// 
//  Main.cpp
//  AB_NoiseShader
//  
//  Created by André Berg on 2013-10-07.
//  Copyright 2013 Iris VFX. All rights reserved.
//  

// Starts the plugin registration

#include "c4d.h"
#include <string.h>

// forward declarations
Bool Register_AB_NoiseShader(void);

Bool PluginStart(void) {

    if (!Register_AB_NoiseShader()) {
        return false;
    }

    GePrint("AB_NoiseShader, André Berg 2013.");
    
    return true;
}

void PluginEnd(void) {
}

Bool PluginMessage(LONG id, void * data) {
    
    switch (id) {
        case C4DPL_INIT_SYS:
            if (!resource.Init()) { // don't start plugin without resource
                return false;
            }
            return true;

        case C4DMSG_PRIORITY:
            return true;

        case C4DPL_BUILDMENU:
            break;

    }

    return false;
}
